clc;
clear all; 

%Load data
O01 = load('O_01.mat');
O01_1secData = load('O_01_1secData.mat');
O02 = load('O_02.mat');
O02_1secData = load('O_02_1secData.mat');
O03 = load('O_03.mat');
O03_1secData = load('O_03_1secData.mat');
O04 = load('O_04.mat');
O04_1secData = load('O_04_1secData.mat');
O05 = load('O_05.mat');
O05_1secData = load('O_05_1secData.mat');
O06 = load('O_06.mat');
O06_1secData = load('O_06_1secData.mat');
O07 = load('O_07.mat');
O07_1secData = load('O_07_1secData.mat');
O08 = load('O_08.mat');
O08_1secData = load('O_08_1secData.mat');
G00 = load('G_00.mat');
G00_1secData = load('G_00_1secData.mat');
G01 = load('G_01.mat');
G01_1secData = load('G_01_1secData.mat');
G02 = load('G_02.mat');
G02_1secData = load('G_02_1secData.mat');
G03 = load('G_03.mat');
G03_1secData = load('G_03_1secData.mat');
G04 = load('G_04.mat');
G04_1secData = load('G_04_1secData.mat');
G05 = load('G_05.mat');
G05_1secData = load('G_05_1secData.mat');
G08 = load('G_08.mat');
G08_1secData = load('G_08_1secData.mat');
W00 = load('W_00.mat');
W00_1secData = load('W_00_1secData.mat');
W00b = load('W_00b.mat');
W00b_1secData = load('W_00b_1secData.mat');
W01 = load('W_01.mat');
W01_1secData = load('W_01_1secData.mat');
W01b = load('W_01b.mat');
W01b_1secData = load('W_01b_1secData.mat');
W01c = load('W_01c.mat');
W01c_1secData = load('W_01c_1secData.mat');
W02 = load('W_02.mat');
W02_1secData = load('W_02_1secData.mat');
W03 = load('W_03.mat');
W03_1secData = load('W_03_1secData.mat');
W04 = load('W_04.mat');
W04_1secData = load('W_04_1secData.mat');
W05= load('W_05.mat');
W05_1secData = load('W_05_1secData.mat');
W501 = load('W_501.mat');
W501_1secData = load('W_501_1secData.mat');
W501C3 = load('W_501C3.mat');
W501C3_1secData = load('W_501C3_1secData.mat');
W501C6 = load('W_501C6.mat');
W501C6_1secData = load('W_501C6_1secData.mat');
W502 = load('W_502.mat');
W502_1secData = load('W_502_1secData.mat');
W502C3 = load('W_502C3.mat');
W502C3_1secData = load('W_502C3_1secData.mat');
W503 = load('W_503.mat');
W503_1secData = load('W_503_1secData.mat');

%Calculate average RMS with 1Hz samwple rate
N_acc = length(O01.testPoint.datAcc.ch(1).data);
N = length(O01_1secData.dataStruct.data);
dt = 1/O01.testPoint.datAcc.dt;
time = N_acc/dt;

%Select samples in each dataset:
start = 100;
stop = 109;

for j = 1:4
    for i = 1:1:time
        O01_acc_1hz_rms(i,j) = rms(O01.testPoint.datAcc.ch(j).data(1+(i-1)*dt:i*dt));
        O02_acc_1hz_rms(i,j) = rms(O02.testPoint.datAcc.ch(j).data(1+(i-1)*dt:i*dt));
        O03_acc_1hz_rms(i,j) = rms(O03.testPoint.datAcc.ch(j).data(1+(i-1)*dt:i*dt));
        O04_acc_1hz_rms(i,j) = rms(O04.testPoint.datAcc.ch(j).data(1+(i-1)*dt:i*dt));
        O05_acc_1hz_rms(i,j) = rms(O05.testPoint.datAcc.ch(j).data(1+(i-1)*dt:i*dt));
        O06_acc_1hz_rms(i,j) = rms(O06.testPoint.datAcc.ch(j).data(1+(i-1)*dt:i*dt));
        O07_acc_1hz_rms(i,j) = rms(O07.testPoint.datAcc.ch(j).data(1+(i-1)*dt:i*dt));
        O08_acc_1hz_rms(i,j) = rms(O08.testPoint.datAcc.ch(j).data(1+(i-1)*dt:i*dt));
       
        G00_acc_1hz_rms(i,j) = rms(G00.testPoint.datAcc.ch(j).data(1+(i-1)*dt:i*dt));
        G01_acc_1hz_rms(i,j) = rms(G01.testPoint.datAcc.ch(j).data(1+(i-1)*dt:i*dt));
        G02_acc_1hz_rms(i,j) = rms(G02.testPoint.datAcc.ch(j).data(1+(i-1)*dt:i*dt));
        G03_acc_1hz_rms(i,j) = rms(G03.testPoint.datAcc.ch(j).data(1+(i-1)*dt:i*dt));
        G04_acc_1hz_rms(i,j) = rms(G04.testPoint.datAcc.ch(j).data(1+(i-1)*dt:i*dt));
        G05_acc_1hz_rms(i,j) = rms(G05.testPoint.datAcc.ch(j).data(1+(i-1)*dt:i*dt));
        G08_acc_1hz_rms(i,j) = rms(G08.testPoint.datAcc.ch(j).data(1+(i-1)*dt:i*dt));
       
        W00_acc_1hz_rms(i,j) = rms(W00.testPoint.datAcc.ch(j).data(1+(i-1)*dt:i*dt));
        W00b_acc_1hz_rms(i,j) = rms(W00b.testPoint.datAcc.ch(j).data(1+(i-1)*dt:i*dt));
        W01_acc_1hz_rms(i,j) = rms(W01.testPoint.datAcc.ch(j).data(1+(i-1)*dt:i*dt));
        W01b_acc_1hz_rms(i,j) = rms(W01b.testPoint.datAcc.ch(j).data(1+(i-1)*dt:i*dt));
        W01c_acc_1hz_rms(i,j) = rms(W01c.testPoint.datAcc.ch(j).data(1+(i-1)*dt:i*dt));
        W02_acc_1hz_rms(i,j) = rms(W02.testPoint.datAcc.ch(j).data(1+(i-1)*dt:i*dt));
        W03_acc_1hz_rms(i,j) = rms(W03.testPoint.datAcc.ch(j).data(1+(i-1)*dt:i*dt));
        W04_acc_1hz_rms(i,j) = rms(W04.testPoint.datAcc.ch(j).data(1+(i-1)*dt:i*dt));
        W05_acc_1hz_rms(i,j) = rms(W05.testPoint.datAcc.ch(j).data(1+(i-1)*dt:i*dt));
        W501_acc_1hz_rms(i,j) = rms(W501.testPoint.datAcc.ch(j).data(1+(i-1)*dt:i*dt));
        W501C3_acc_1hz_rms(i,j) = rms(W501C3.testPoint.datAcc.ch(j).data(1+(i-1)*dt:i*dt));
        W501C6_acc_1hz_rms(i,j) = rms(W501C6.testPoint.datAcc.ch(j).data(1+(i-1)*dt:i*dt));
        W502_acc_1hz_rms(i,j) = rms(W502.testPoint.datAcc.ch(j).data(1+(i-1)*dt:i*dt));
        W502C3_acc_1hz_rms(i,j) = rms(W502C3.testPoint.datAcc.ch(j).data(1+(i-1)*dt:i*dt));
        W503_acc_1hz_rms(i,j) = rms(W503.testPoint.datAcc.ch(j).data(1+(i-1)*dt:i*dt));
    end
end

%Data matrices with 1Hz samplingrate
O01_data = [O02_1secData.dataStruct.data O01_acc_1hz_rms O01.testPoint.gasRef.q*ones([N,1]) O01.testPoint.watRef.q*ones([N,1]) O01.testPoint.oilRef.q*ones([N,1])];
O02_data = [O02_1secData.dataStruct.data O02_acc_1hz_rms O02.testPoint.gasRef.q*ones([N,1]) O02.testPoint.watRef.q*ones([N,1]) O02.testPoint.oilRef.q*ones([N,1])];
O03_data = [O02_1secData.dataStruct.data O03_acc_1hz_rms O03.testPoint.gasRef.q*ones([N,1]) O03.testPoint.watRef.q*ones([N,1]) O03.testPoint.oilRef.q*ones([N,1])];
O04_data = [O02_1secData.dataStruct.data O04_acc_1hz_rms O04.testPoint.gasRef.q*ones([N,1]) O04.testPoint.watRef.q*ones([N,1]) O04.testPoint.oilRef.q*ones([N,1])];
O05_data = [O05_1secData.dataStruct.data O05_acc_1hz_rms O05.testPoint.gasRef.q*ones([N,1]) O05.testPoint.watRef.q*ones([N,1]) O05.testPoint.oilRef.q*ones([N,1])];
O06_data = [O02_1secData.dataStruct.data O06_acc_1hz_rms O06.testPoint.gasRef.q*ones([N,1]) O06.testPoint.watRef.q*ones([N,1]) O06.testPoint.oilRef.q*ones([N,1])];
O07_data = [O02_1secData.dataStruct.data O07_acc_1hz_rms O07.testPoint.gasRef.q*ones([N,1]) O07.testPoint.watRef.q*ones([N,1]) O07.testPoint.oilRef.q*ones([N,1])];
O08_data = [O08_1secData.dataStruct.data O08_acc_1hz_rms O08.testPoint.gasRef.q*ones([N,1]) O08.testPoint.watRef.q*ones([N,1]) O08.testPoint.oilRef.q*ones([N,1])];
G00_data = [G00_1secData.dataStruct.data G00_acc_1hz_rms G00.testPoint.gasRef.q*ones([N,1]) G00.testPoint.watRef.q*ones([N,1]) G00.testPoint.oilRef.q*ones([N,1])];
G01_data = [G01_1secData.dataStruct.data G01_acc_1hz_rms G01.testPoint.gasRef.q*ones([N,1]) G01.testPoint.watRef.q*ones([N,1]) G01.testPoint.oilRef.q*ones([N,1])];
G02_data = [G02_1secData.dataStruct.data G02_acc_1hz_rms G02.testPoint.gasRef.q*ones([N,1]) G02.testPoint.watRef.q*ones([N,1]) G02.testPoint.oilRef.q*ones([N,1])];
G03_data = [G03_1secData.dataStruct.data G03_acc_1hz_rms G03.testPoint.gasRef.q*ones([N,1]) G03.testPoint.watRef.q*ones([N,1]) G03.testPoint.oilRef.q*ones([N,1])];
G04_data = [G04_1secData.dataStruct.data G04_acc_1hz_rms G04.testPoint.gasRef.q*ones([N,1]) G04.testPoint.watRef.q*ones([N,1]) G04.testPoint.oilRef.q*ones([N,1])];
G05_data = [G05_1secData.dataStruct.data G05_acc_1hz_rms G05.testPoint.gasRef.q*ones([N,1]) G05.testPoint.watRef.q*ones([N,1]) G05.testPoint.oilRef.q*ones([N,1])];
G08_data = [G08_1secData.dataStruct.data G08_acc_1hz_rms G08.testPoint.gasRef.q*ones([N,1]) G08.testPoint.watRef.q*ones([N,1]) G08.testPoint.oilRef.q*ones([N,1])];
W00_data = [W00_1secData.dataStruct.data W00_acc_1hz_rms W00.testPoint.gasRef.q*ones([N,1]) W00.testPoint.watRef.q*ones([N,1]) W00.testPoint.oilRef.q*ones([N,1])];
W00b_data = [W00b_1secData.dataStruct.data W00b_acc_1hz_rms W00b.testPoint.gasRef.q*ones([N,1]) W00b.testPoint.watRef.q*ones([N,1]) W00b.testPoint.oilRef.q*ones([N,1])];
W01_data = [W01_1secData.dataStruct.data W01_acc_1hz_rms W01.testPoint.gasRef.q*ones([N,1]) W01.testPoint.watRef.q*ones([N,1]) W01.testPoint.oilRef.q*ones([N,1])];
W01b_data = [W01b_1secData.dataStruct.data W01b_acc_1hz_rms W01b.testPoint.gasRef.q*ones([N,1]) W01b.testPoint.watRef.q*ones([N,1]) W01b.testPoint.oilRef.q*ones([N,1])];
W01c_data = [W01c_1secData.dataStruct.data W01c_acc_1hz_rms W01c.testPoint.gasRef.q*ones([N,1]) W01c.testPoint.watRef.q*ones([N,1]) W01c.testPoint.oilRef.q*ones([N,1])];
W02_data = [W02_1secData.dataStruct.data W02_acc_1hz_rms W02.testPoint.gasRef.q*ones([N,1]) W02.testPoint.watRef.q*ones([N,1]) W02.testPoint.oilRef.q*ones([N,1])];
W03_data = [W03_1secData.dataStruct.data W03_acc_1hz_rms W03.testPoint.gasRef.q*ones([N,1]) W03.testPoint.watRef.q*ones([N,1]) W03.testPoint.oilRef.q*ones([N,1])];
W04_data = [W04_1secData.dataStruct.data W04_acc_1hz_rms W04.testPoint.gasRef.q*ones([N,1]) W04.testPoint.watRef.q*ones([N,1]) W04.testPoint.oilRef.q*ones([N,1])];
W05_data = [W05_1secData.dataStruct.data W05_acc_1hz_rms W05.testPoint.gasRef.q*ones([N,1]) W05.testPoint.watRef.q*ones([N,1]) W05.testPoint.oilRef.q*ones([N,1])];
W501_data = [W501_1secData.dataStruct.data W501_acc_1hz_rms W501.testPoint.gasRef.q*ones([N,1]) W501.testPoint.watRef.q*ones([N,1]) W501.testPoint.oilRef.q*ones([N,1])];
W501C3_data = [W501C3_1secData.dataStruct.data W501C3_acc_1hz_rms W501C3.testPoint.gasRef.q*ones([N,1]) W501C3.testPoint.watRef.q*ones([N,1]) W501C3.testPoint.oilRef.q*ones([N,1])];
W501C6_data = [W501C6_1secData.dataStruct.data W501C6_acc_1hz_rms W501C6.testPoint.gasRef.q*ones([N,1]) W501C6.testPoint.watRef.q*ones([N,1]) W501C6.testPoint.oilRef.q*ones([N,1])];
W502_data = [W502_1secData.dataStruct.data W502_acc_1hz_rms W502.testPoint.gasRef.q*ones([N,1]) W502.testPoint.watRef.q*ones([N,1]) W502.testPoint.oilRef.q*ones([N,1])];
W502C3_data = [W502C3_1secData.dataStruct.data W502C3_acc_1hz_rms W502C3.testPoint.gasRef.q*ones([N,1]) W502C3.testPoint.watRef.q*ones([N,1]) W502C3.testPoint.oilRef.q*ones([N,1])];
W503_data = [W503_1secData.dataStruct.data W03_acc_1hz_rms W503.testPoint.gasRef.q*ones([N,1]) W503.testPoint.watRef.q*ones([N,1]) W503.testPoint.oilRef.q*ones([N,1])];

%Merging all training data
training_O = [O01_data(start:stop,:); O02_data(start:stop,:); O03_data(start:stop,:); O04_data(start:stop,:); O05_data(start:stop,:); O06_data(start:stop,:); O07_data(start:stop,:);O08_data(start:stop,:)]; 
training_G = [G01_data(start:stop,:); G02_data(start:stop,:); G03_data(start:stop,:); G04_data(start:stop,:); G05_data(start:stop,:); G08_data(start:stop,:)]; 
training_W = [W00b_data(start:stop,:); W01_data(start:stop,:); W01b_data(start:stop,:); W01c_data(start:stop,:); W02_data(start:stop,:); W03_data(start:stop,:); W04_data(start:stop,:); W05_data(start:stop,:); W501_data(start:stop,:); W501C3_data(start:stop,:); W501C6_data(start:stop,:); W502_data(start:stop,:); W502C3_data(start:stop,:); W503_data(start:stop,:);];

%Merging all testing data
testing_O = [];
testing_G = [];
testing_W = [];

%Background noise
background_noise = [G00_data(start:stop,:); W00_data(start:stop,:)];
