clc;
clear all; 

% Load data
GOW171 = load('GOW_171.mat');
GOW171_1secData = load('GOW_171_1secData.mat');
GOW501 = load('GOW_501.mat');
GOW501_1secData = load('GOW_501_1secData.mat');
GOW502 = load('GOW_502.mat');
GOW502_1secData = load('GOW_502_1secData.mat');
GOW503 = load('GOW_503.mat');
GOW503_1secData = load('GOW_503_1secData.mat');
GOW504 = load('GOW_504.mat');
GOW504_1secData = load('GOW_504_1secData.mat');
GOW505 = load('GOW_505.mat');
GOW505_1secData = load('GOW_505_1secData.mat');
GOW506 = load('GOW_506.mat');
GOW506_1secData = load('GOW_506_1secData.mat');
GOW507 = load('GOW_507.mat');
GOW507_1secData = load('GOW_507_1secData.mat');
GOW508 = load('GOW_508.mat');
GOW508_1secData = load('GOW_508_1secData.mat');
GOW509 = load('GOW_509.mat');
GOW509_1secData = load('GOW_509_1secData.mat');
GOW510 = load('GOW_510.mat');
GOW510_1secData = load('GOW_510_1secData.mat');
GOW511 = load('GOW_511.mat');
GOW511_1secData = load('GOW_511_1secData.mat');

%Calculate average RMS with 1Hz samwple rate
N_acc = length(GOW171.testPoint.datAcc.ch(1).data);
N = length(GOW171_1secData.dataStruct.data);
dt = 1/GOW171.testPoint.datAcc.dt;
time = N_acc/dt;

%Select samples in each dataset:
start = 100;
stop = 109;

for j = 1:4
    for i = 1:1:time
        GOW171_acc_1hz_rms(i,j) = rms(GOW171.testPoint.datAcc.ch(j).data(1+(i-1)*dt:i*dt));
        GOW501_acc_1hz_rms(i,j) = rms(GOW501.testPoint.datAcc.ch(j).data(1+(i-1)*dt:i*dt));
        GOW502_acc_1hz_rms(i,j) = rms(GOW502.testPoint.datAcc.ch(j).data(1+(i-1)*dt:i*dt));
        GOW503_acc_1hz_rms(i,j) = rms(GOW503.testPoint.datAcc.ch(j).data(1+(i-1)*dt:i*dt));
        GOW504_acc_1hz_rms(i,j) = rms(GOW504.testPoint.datAcc.ch(j).data(1+(i-1)*dt:i*dt));
        GOW505_acc_1hz_rms(i,j) = rms(GOW505.testPoint.datAcc.ch(j).data(1+(i-1)*dt:i*dt));
        GOW506_acc_1hz_rms(i,j) = rms(GOW506.testPoint.datAcc.ch(j).data(1+(i-1)*dt:i*dt));
        GOW507_acc_1hz_rms(i,j) = rms(GOW507.testPoint.datAcc.ch(j).data(1+(i-1)*dt:i*dt));
        GOW508_acc_1hz_rms(i,j) = rms(GOW508.testPoint.datAcc.ch(j).data(1+(i-1)*dt:i*dt));
        GOW509_acc_1hz_rms(i,j) = rms(GOW509.testPoint.datAcc.ch(j).data(1+(i-1)*dt:i*dt));
        GOW510_acc_1hz_rms(i,j) = rms(GOW510.testPoint.datAcc.ch(j).data(1+(i-1)*dt:i*dt));
        GOW511_acc_1hz_rms(i,j) = rms(GOW511.testPoint.datAcc.ch(j).data(1+(i-1)*dt:i*dt));
    end
end

%Data matrices with 1Hz samplingrate
GOW171_data = [GOW171_1secData.dataStruct.data GOW171_acc_1hz_rms GOW171.testPoint.gasRef.q*ones([N,1]) GOW171.testPoint.watRef.q*ones([N,1]) GOW171.testPoint.oilRef.q*ones([N,1])];
GOW501_data = [GOW501_1secData.dataStruct.data GOW501_acc_1hz_rms GOW501.testPoint.gasRef.q*ones([N,1]) GOW501.testPoint.watRef.q*ones([N,1]) GOW501.testPoint.oilRef.q*ones([N,1])];
GOW502_data = [GOW502_1secData.dataStruct.data GOW502_acc_1hz_rms GOW502.testPoint.gasRef.q*ones([N,1]) GOW502.testPoint.watRef.q*ones([N,1]) GOW502.testPoint.oilRef.q*ones([N,1])];
GOW503_data = [GOW503_1secData.dataStruct.data GOW503_acc_1hz_rms GOW503.testPoint.gasRef.q*ones([N,1]) GOW503.testPoint.watRef.q*ones([N,1]) GOW503.testPoint.oilRef.q*ones([N,1])];
GOW504_data = [GOW504_1secData.dataStruct.data GOW504_acc_1hz_rms GOW504.testPoint.gasRef.q*ones([N,1]) GOW504.testPoint.watRef.q*ones([N,1]) GOW504.testPoint.oilRef.q*ones([N,1])];
GOW505_data = [GOW505_1secData.dataStruct.data GOW505_acc_1hz_rms GOW505.testPoint.gasRef.q*ones([N,1]) GOW505.testPoint.watRef.q*ones([N,1]) GOW505.testPoint.oilRef.q*ones([N,1])];
GOW506_data = [GOW506_1secData.dataStruct.data GOW506_acc_1hz_rms GOW506.testPoint.gasRef.q*ones([N,1]) GOW506.testPoint.watRef.q*ones([N,1]) GOW506.testPoint.oilRef.q*ones([N,1])];
GOW507_data = [GOW507_1secData.dataStruct.data GOW507_acc_1hz_rms GOW507.testPoint.gasRef.q*ones([N,1]) GOW507.testPoint.watRef.q*ones([N,1]) GOW507.testPoint.oilRef.q*ones([N,1])];
GOW508_data = [GOW508_1secData.dataStruct.data GOW508_acc_1hz_rms GOW508.testPoint.gasRef.q*ones([N,1]) GOW508.testPoint.watRef.q*ones([N,1]) GOW508.testPoint.oilRef.q*ones([N,1])];
GOW509_data = [GOW509_1secData.dataStruct.data GOW509_acc_1hz_rms GOW509.testPoint.gasRef.q*ones([N,1]) GOW509.testPoint.watRef.q*ones([N,1]) GOW509.testPoint.oilRef.q*ones([N,1])];
GOW510_data = [GOW510_1secData.dataStruct.data GOW510_acc_1hz_rms GOW510.testPoint.gasRef.q*ones([N,1]) GOW510.testPoint.watRef.q*ones([N,1]) GOW510.testPoint.oilRef.q*ones([N,1])];
GOW511_data = [GOW511_1secData.dataStruct.data GOW511_acc_1hz_rms GOW511.testPoint.gasRef.q*ones([N,1]) GOW511.testPoint.watRef.q*ones([N,1]) GOW511.testPoint.oilRef.q*ones([N,1])];


% %Merging into one training dataset and normalizing the data (excluded GOW43)
dataset_testing = [GOW171_data(start:stop,:); GOW501_data(start:stop,:); GOW502_data(start:stop,:); GOW503_data(start:stop,:); GOW504_data(start:stop,:); GOW505_data(start:stop,:); GOW506_data(start:stop,:); GOW507_data(start:stop,:); GOW508_data(start:stop,:); GOW509_data(start:stop,:); GOW510_data(start:stop,:); GOW511_data(start:stop,:)];
dataset_training = [];
